-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
local lidID
local playSong = false
local isInvalid
local songLoop

local function onInit()
  for _, b in pairs (v.data.beams) do
    if b.tag == "lid" then lidID = b.cid end
  end
  isInvalid = lidID == nil
  songLoop = obj:createSFXSource("art/sound/claire_de_lune_loop.flac", "AudioDefaultLoop3D", "PianoSound", 1)
end

--local function onReset()
--  obj:setVolumePitch(songLoop, 0, 1)
--end

local function updateGFX(dt)
  if isInvalid == false then
    local beamLength = obj:getBeamLength(lidID)
    if beamLength < 0.4 and beamstate.damage < 1500 then
      local vol = (beamLength - 0.25) * 20
      obj:setVolumePitch(songLoop, vol, 1)
    else
      obj:setVolumePitch(songLoop, 0, 1)
    end
  end
end
-- public interface
M.onInit    = onInit
--M.onReset   = onReset
M.updateGFX = updateGFX
return M
